Fedora 31 : git (2020-f6b3b6fb18)

high Nessus Plugin ID 136001

Language:

Synopsis

The remote Fedora host is missing a security update.

Description

Security fix for CVE-2020-5260

From the upstream [release notes](https://www.kernel.org/pub/software/scm/git/docs/RelNotes/2.17.
5.txt) :

> With a crafted URL that contains a newline or empty host, or lacks > a scheme, the credential helper machinery can be fooled into > providing credential information that is not appropriate for the > protocol in use and host being contacted. > > Unlike the vulnerability CVE-2020-5260 fixed in v2.17.4, the > credentials are not for a host of the attacker's choosing; instead, > they are for some unspecified host (based on how the configured > credential helper handles an absent 'host' parameter). > > The attack has been made impossible by refusing to work with > under-specified credential patterns.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website.
Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected git package.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2020-f6b3b6fb18

Plugin Details

Severity: High

ID: 136001

File Name: fedora_2020-f6b3b6fb18.nasl

Version: 1.2

Type: local

Agent: unix

Published: 4/27/2020

Updated: 4/30/2020

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.9

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:git, cpe:/o:fedoraproject:fedora:31

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 4/26/2020

Vulnerability Publication Date: 4/14/2020

Reference Information

CVE: CVE-2020-11008, CVE-2020-5260